/*
 * Copyright 2011 E-Government Innovation Center (EGIZ)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package at.gv.zustellung.zkopf.client;

public class PostalAddress {

	private String streetName = null;
	private String postalCode = null;
	private String municipality = null;
	private String countryCode = null;
	
	public PostalAddress(String streetName,
			String postalCode,
			String municipality,
			String countryCode) {
		
		if (streetName == null) {
			throw new NullPointerException("Parameter 'streetName' must not be null.");
		}
		if (postalCode == null) {
			throw new NullPointerException("Parameter 'postalCode' must not be null.");
		}
		if (municipality == null) {
			throw new NullPointerException("Parameter 'municipality' must not be null.");
		}
		if (countryCode == null) {
			throw new NullPointerException("Parameter 'countryCode' must not be null.");
		}
		this.streetName = streetName;
		this.postalCode = postalCode;
		this.municipality = municipality;
		this.countryCode = countryCode;
	}

	public String getStreetName() {
  	return streetName;
  }

	public String getPostalCode() {
  	return postalCode;
  }

	public String getMunicipality() {
  	return municipality;
  }

	public String getCountryCode() {
  	return countryCode;
  }
	
	
	
}
